<?php

namespace App\Http\Controllers;
use Illuminate\Http\Request;
use App\Http\Requests;

use App\Barang;
use App\RequestBarang;
use App\DataRequest;
use App\Pembelian;
use App\User;

class InventoriController extends Controller
{
    public function ListBarang()
    {
        $barangs = Barang::all();
        return view('adminlte::inventori.ListBarang.index', compact('barangs'));
    }
    
    public function create()
    {
        return view('adminlte::inventori.ListBarang.create');
    }
   
    public function store(Request $request)
    {
       $this->validate($request, [
            'nama_barang' => 'required',
            'stock' => 'required',
            'harga' => 'required',
            'kategori' => 'required',
            'gambar' => 'required',
        ]);

        $barangs = new Barang();
        $barangs->nama_barang = $request['nama_barang'];
        $barangs->stock = $request['stock'];
        $barangs->harga = $request['harga'];
        $barangs->kategori = $request['kategori'];
        $barangs->gambar = $request['gambar'];
        $barangs->save();
        return redirect('ListBarang')->with('message','Data Barang Berhasil Di Tambah');
    }


    public function edit($id)
    {
        $barangs = Barang::where('id', $id)->first();
        return view('adminlte::inventori.ListBarang.edit')->with('barangs', $barangs);
    }


    public function update(Request $request, $id)
    {
        $this->validate($request, [
            'nama_barang' => 'required',
            'stock' => 'required',
            'harga' => 'required',
            'kategori' => 'required',
            'gambar' => 'required',
        ]);

        $barangs = Barang::findOrFail($id);
        $barangs->nama_barang = $request->nama_barang;
        $barangs->stock = $request->stock;
        $barangs->harga = $request->harga;
        $barangs->kategori = $request->kategori;
        $barangs->gambar = $request->gambar;
        $barangs->save();
        return redirect('ListBarang')->with('message','Data Barang Berhasil Di Ubah');
    }



    public function destroy($id)
    {
        $barangs = Barang::find($id);
        $barangs->delete();
        return redirect('ListBarang')->with('message','Data Barang Berhasil Di Hapus');
    }


//----------------------------Cetak PDF----------------------------//

    public function pdfpembelian($id)

    {

        $this->data['title'] = 'Pembelian';
        $this->data['pembelians'] = Pembelian::find($id);

        return view('adminlte::inventori.ListPembelian.pdfpembelian',$this->data);

    }

//----------------------------Cetak PDF----------------------------//

    public function pdfrequest($id)

    {

        $this->data['title'] = 'Cetak Request';
        $this->data['request_barangs'] = RequestBarang::find($id);

        return view('adminlte::inventori.ListRequest.pdfrequest',$this->data);

    }
    
    public function ListRequest()
    {
        $request_barangs = RequestBarang::all();
        return view('adminlte::inventori.ListRequest.index', compact('request_barangs'));
    }


    public function editRequest($id)
    {
        $request_barangs = RequestBarang::where('id', $id)->first();
        return view('adminlte::inventori.ListRequest.edit')->with('request_barangs', $request_barangs);
    }

    
    public function ListPembelian()
    {
        $pembelians = Pembelian::all();
        return view('adminlte::inventori.ListPembelian.index', compact('pembelians'));
    }



    public function DataRequest()
    {
        $data_requests = DataRequest::all();
        return view('adminlte::inventori.DataRequest.index', compact('data_requests'));
    }

    public function createDataRequest()
    {
        return view('adminlte::inventori.DataRequest.createDataRequest');
    }
   
    public function storeDataRequest(Request $request)
    {
        $this->validate($request, [
            'nama_barang' => 'required',
            'kategori' => 'required',
            'harga' => 'required',
        ]);

        $data_requests = new DataRequest();
        $data_requests->nama_barang = $request['nama_barang'];
        $data_requests->kategori = $request['kategori'];
        $data_requests->harga = $request['harga'];
        $data_requests->save();
        return redirect('DataRequest')->with('message','Data Request Berhasil Di Tambah');
    }


    public function editDataRequest($id)
    {
        $data_requests = DataRequest::where('id', $id)->first();
        return view('adminlte::inventori.DataRequest.editDataRequest')->with('data_requests', $data_requests);
    }


    public function updateDataRequest(Request $request, $id)
    {
        $this->validate($request, [
            'nama_barang' => 'required',
            'kategori' => 'required',
            'harga' => 'required',
        ]);

        $data_requests = DataRequest::findOrFail($id);
        $data_requests->nama_barang = $request->nama_barang;
        $data_requests->kategori = $request->kategori;
        $data_requests->harga = $request->harga;
        $data_requests->save();
        return redirect('DataRequest')->with('message','Data Request Berhasil Di Ubah');
    }



    public function destroyDataRequest($id)
    {
        $data_requests = DataRequest::find($id);
        $data_requests->delete();
        return redirect('DataRequest')->with('message','Data Barang Berhasil Di Hapus');
    }

         public function konfirmasiBarang($id)
     {

        $datauP = RequestBarang::find ($id);

            $datauP->status_request = 'Terkonfirmasi';

            $datauP->update();

            return redirect('ListRequest')->with('message','Data Barang Berhasil Di Konfirmasi');
     
    }

        public function RejectedBarang($id)
        {

        $datauP = RequestBarang::find ($id);    
            $datauP->status_request = 'Rejected';

        // $user = User::find($request_barangs->user_id);
        // $user->saldo=$user->saldo+$total_harga;
        
        $datauP->update();

        return redirect('ListRequest')->with('message','Data Barang Berhasil Di Tolak');
     
    }


}